RenameDlgPlugin class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# RenameDlgPlugin Class Reference

This is the base class for all plugins. More...

`#include <renamedlgplugin.h>`

Inheritance diagram for RenameDlgPlugin:

[legend]
Collaboration diagram for RenameDlgPlugin:

[legend]
List of all members.

## Public Member Functions
| RenameDlgPlugin (QDialog *dialog, const char *name, const QStringList &=QStringList())
| This is the c'tor.
virtual bool | initialize (KIO::RenameDlg_Mode, const QString &, const QString &, const QString &, const QString &, KIO::filesize_t, KIO::filesize_t, time_t, time_t, time_t, time_t)
| This function will be called by RenameDlg.

## Detailed Description

This is the base class for all plugins.

Definition at line 33 of file renamedlgplugin.h.

## Constructor & Destructor Documentation

RenameDlgPlugin::RenameDlgPlugin | ( | QDialog * | dialog,
|  | const char * | name,
|  | const QStringList & | = QStringList()
| ) | `[inline]`

| This is the c'tor. Definition at line 39 of file renamedlgplugin.h. References KStdAccel::name().

## Member Function Documentation

virtual bool RenameDlgPlugin::initialize | ( | KIO::RenameDlg_Mode | ,
|  | const QString & | ,
|  | const QString & | ,
|  | const QString & | ,
|  | const QString & | ,
|  | KIO::filesize_t | ,
|  | KIO::filesize_t | ,
|  | time_t | ,
|  | time_t | ,
|  | time_t | ,
|  | time_t |
| ) | `[inline, virtual]`

| This function will be called by RenameDlg. The params are infos about the files Returns: If the plugin want's to display it return true if not return false Definition at line 44 of file renamedlgplugin.h.

The documentation for this class was generated from the following file:

- renamedlgplugin.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:21:06 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001